Debian Bug report logs - #375736
lynx-cur: Bad partial reference vs -dump

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Tue, 27 Jun 2006 21:18:32 UTC

Severity: wishlist

Found in version lynx-cur/2.8.6-20

Fixed in version lynx-cur/2.8.6pre2-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>:
Bug#375736; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to dickey@invisible-island.net, Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: Bad partial reference vs -dump
Date: Wed, 28 Jun 2006 02:51:45 +0800
Package: lynx-cur
Version: 2.8.6-20
Severity: wishlist

If we see the mysterious
   Bad partial reference! Stripping lead dots.
(whatever it means,) then why don't we see it upon -dump? You should
print it to the stdout.

Seen on
$ lynx http://www.unicode.org/roadmaps/



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#375736. Full text and rfc822 format available.

Message #8 received at 375736-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dan Jacobson <jidanni@jidanni.org>, 375736-submitter@bugs.debian.org
Subject: Re: Bug#375736: lynx-cur: Bad partial reference vs -dump
Date: Sun, 06 Aug 2006 14:46:35 -0400
[Message part 1 (text/plain, inline)]
On Wed, Jun 28, 2006 at 02:51:45AM +0800, Dan Jacobson wrote:
> Package: lynx-cur
> Version: 2.8.6-20
> Severity: wishlist
> 
> If we see the mysterious
>    Bad partial reference! Stripping lead dots.
> (whatever it means,) then why don't we see it upon -dump? You should
> print it to the stdout.

lynx doesn't print user messages as part of a dump.
The information _is_ in the trace (though that isn't very useful).
Here's the relevant part of the trace:

LYLegitimizeHREF: Bad value '../../versions/Unicode4.0.0' for http URL.
                  Stripping lead dots.
User message: Bad partial reference!  Stripping lead dots.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#375736; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 375736-quiet@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: dickey@his.com
Cc: 375736-quiet@bugs.debian.org
Subject: Re: Bug#375736: lynx-cur: Bad partial reference vs -dump
Date: Thu, 10 Aug 2006 02:07:26 +0800
T> lynx doesn't print user messages as part of a dump.
T> The information _is_ in the trace (though that isn't very useful).
OK, but mention that on the man page at
       -dump  dumps  the  formatted  output  of  the  default document...
Else one never expects one is less privy to errors if one is a -dump
fan.

Naw, errors should go to stderr by default unless some -quiet is in effect.



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 375736-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 375736-close@bugs.debian.org
Subject: Bug#375736: fixed in lynx-cur 2.8.6pre2-1
Date: Sun, 03 Sep 2006 21:17:10 -0700
Source: lynx-cur
Source-Version: 2.8.6pre2-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6pre2-1_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6pre2-1_all.deb
lynx-cur_2.8.6pre2-1.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.diff.gz
lynx-cur_2.8.6pre2-1.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1.dsc
lynx-cur_2.8.6pre2-1_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2-1_i386.deb
lynx-cur_2.8.6pre2.orig.tar.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 375736@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  4 Sep 2006 11:04:25 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6pre2-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 360832 363538 372670 373615 373998 375736
Changes: 
 lynx-cur (2.8.6pre2-1) unstable; urgency=low
 .
   * New Upstream Release.
   - add -stderr option to write error messages when doing a -dump -or -source.
     (Closes: #375736)
   - ensure the number of "extra" blanks in a line is greater than zero before
     attempting to perform text-justification (Closes: #363538)
   - fix a sign-extension in alignment case-statement in split_line()
     (Closes: #360832, #372670)
   * Upstream changed --enable-color-style enabled by default so I followed it.
   * Updated translations of debconf templates.  Thanks to all.
   - fr.po, Philippe Batailler <philippe.batailler@free.fr>
   - cs.po, Miroslav Kure <kurem@upcase.inf.upol.cz>
   - ru.po, Yuri Kozlov <kozlov.y@gmail.com>
   - de.po, Jens Nachtigall <nachtigall@web.de>
   - sv.po, Daniel Nylander <po@danielnylander.se>
   - pt_BR.po, Andre Luis Lopes <andrelop@debian.org>
   - vi.po, Clytie Siddall <clytie@riverland.net.au>
   - es.po, David Martínez Moreno <ender@debian.org>
   (Closes: #373615, #373998)
   * There was no time to upload 2.8.6dev19 because 2.8.6pre2 was released
     so soon.
Files: 
 66ff171af7e694f28722cae3ceae48f1 672 web extra lynx-cur_2.8.6pre2-1.dsc
 8f01371c58352885386af644f0f0e5c9 3178272 web extra lynx-cur_2.8.6pre2.orig.tar.gz
 2b1107be491f4d8b3e15517daa3ad2ec 25812 web extra lynx-cur_2.8.6pre2-1.diff.gz
 a458c3abaa01c97c1f8aea4cc3865b5d 14030 web extra lynx-cur-wrapper_2.8.6pre2-1_all.deb
 e30176b7950db8313b4dd5de8ac098e4 1960638 web extra lynx-cur_2.8.6pre2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE+6am1IXdL1v6kOwRAqsVAJ4pwbmmDr+zLkx2y/lXhkv7UhNdogCfTxMJ
0AmJK6oJV1TWQErA5d+Qn2g=
=wa+1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 05:47:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:33:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.